Перейти к содержанию

GunGraveKoga

Сталкеры
  • Публикаций

    1
  • Зарегистрирован

  • Посещение

Информация о GunGraveKoga

  • Звание
    Новичок

Посетители профиля

Блок последних пользователей отключён и не показывается другим пользователям.

  1. Собственно вот https://github.com/OGSR/OGSR-Engine/blob/main/ogsr_engine/xrGame/hit_immunity.cpp#L23 Падает по ассерту. Беглый поиск CHitImmunity::LoadImmunities показывает что где-то идёт проверка наличия секции в INI перед вызовом, а где-то нет, без бэктрейса не понятно что привело к падению, бэктрейс можно вытащить из минидампа, но думаю кроме разработчика мода понять что к этому привело не получится. Судя по тому что в коде движка нигде нет инициализации секции quest_stalker_immunities, вангую что она запрашивается где-то в скриптах. Суть ошибки в общем-то сводится к тому, что в кофиге кричера или какого-то объекта нет нужной секции. Либо конфиг сломан, либо ошибка в скриптах. Я бы попробовал чистую установку в новое расположение и добавление каталога и бинаря в исключение антивируса. Особенно в исключения эвристики и предотвращение исполнения кода. Многие антивирусы не очень дружат с JIT компиляторами, типа Lua, который в сталкере используется. Могут что-то сломать.